Bug 446078 - Attaching/detaching external monitors with Wayland crashes apps/hides Plasma panel
Summary: Attaching/detaching external monitors with Wayland crashes apps/hides Plasma ...
Status: RESOLVED WORKSFORME
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: 5.24.0
Platform: Archlinux Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2021-11-25 13:46 UTC by Strahinja Kustudic
Modified: 2022-03-19 04:35 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Strahinja Kustudic 2021-11-25 13:46:18 UTC
I'm running Arclinux with Plasma 5.23.3 using Wayland on Lenov X1 Carbon Gen 9. I have an external 4K monitor that is connected via thunderbolt 3 dock. Intel video driver is used. My displays are set up so that if the monitor (dock) is attached that is the only active display and the laptop display is off. If I detach the monitor (dock) the laptop display is used. I have two different problems when I disconnect the laptop from the dock and when I connect the laptop to the dock.

When I disconnect the dock all my apps move on the laptop screen and everything looks to be working, but the Plasma bottom panel is not displayed. I can't see if plasma crashed or not because everything else works. I have to run: "killall plasmashell; kstart5 plasmashell" to get the panel back.

Then when I connect the dock back, the laptop screen turns off and the external monitor turns on, but all the apps, except Plasma crash, or they are killed, not sure.

Both of these are 100% repro.

Note that I configured different scaling factors for two monitors: Laptop 150%, and external monitor 100%.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch with kernel 5.14.16
(available in About System)
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

I will happily attach some logs to make it simpler to pinpoint the issue if you tell me what logs would you like me to add.
Comment 1 Aaron.Ma 2021-12-03 10:16:15 UTC
I met the same issue on 5.23.4, with wayland too.

My laptop is AMD Ryzen 4750u.

perhaps error log:
systemd[1165]: plasma-kactivitymanagerd.service: Child 1472 belongs to plasma-kactivitymanagerd.service.
systemd[1165]: plasma-kactivitymanagerd.service: Main process exited, code=exited, status=255/EXCEPTION
systemd[1]: kexec-load.service: Failed to set 'io.bfq.weight' attribute on '/system.slice/kexec-load.service' to '10': No such file or directory
systemd[1165]: plasma-kactivitymanagerd.service: Failed with result 'exit-code'.
systemd[1165]: plasma-kactivitymanagerd.service: Service will not restart (restart setting)
systemd[1165]: plasma-kactivitymanagerd.service: Changed stop-sigterm -> failed
systemd[1]: Failed to read pids.max attribute of cgroup root, ignoring: No data available
systemd[1]: kexec-load.service: About to execute /etc/init.d/kexec-load stop
systemd[1165]: plasma-kactivitymanagerd.service: Unit entered failed state.
systemd[1165]: plasma-kactivitymanagerd.service: Consumed 116ms CPU time.
Comment 2 Nate Graham 2022-01-12 17:41:36 UTC

*** This bug has been marked as a duplicate of bug 447936 ***
Comment 3 Aaron.Ma 2022-01-13 04:11:44 UTC
bug 447936 is meant to fix X11 issue, does it fix this wayland issue too?

If so is there a built package I can test?
Comment 4 Strahinja Kustudic 2022-01-13 10:21:15 UTC
(In reply to Aaron.Ma from comment #3)
> bug 447936 is meant to fix X11 issue, does it fix this wayland issue too?
> 
> If so is there a built package I can test?

I guess we have to wait for 5.24 to be released, but I also wouldn't mind testing it myself to check if it fixes the issue.
Comment 5 Erlend Ydse 2022-02-09 21:35:00 UTC
This still happens on KDE Plasma 5.24 using Wayland on AMD Ryzen 7 4700U. Even if the issue has been solved on X11, it is not fixed for Wayland. Therefore I suggest removing duplicate status, as this would then be a separate issue. I'll provide any logs/outputs you need.
Comment 6 Erlend Ydse 2022-02-10 12:39:16 UTC
Journal log from opening the lid of the laptop, disconnecting the monitor, waiting for the panel to appear again, then connecting the monitor before closing the lid again:
 
10/02/2022 13:30	systemd-logind	Lid opened.
10/02/2022 13:30	klauncher	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	kwalletd5	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	kactivitymanagerd	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_contacts_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_newmailnotifier_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	baloorunner	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_akonotes_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_migration_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	krunner	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_control	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_birthdays_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_ical_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_indexing_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_google_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_maildispatcher_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	akonadi_maildir_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:30	dbus-daemon	[session uid=1000 pid=758] Activating service name='org.kde.KSplash' requested by ':1.21' (uid=1000 pid=879 comm="/usr/bin/plasmashell ")
10/02/2022 13:30	dbus-daemon	writing oom_score_adj error: Permission denied
10/02/2022 13:30	systemd	Created slice User Core Session Slice.
10/02/2022 13:30	systemd	Started PipeWire Multimedia Service.
10/02/2022 13:30	systemd	Started Multimedia Service Session Manager.
10/02/2022 13:30	systemd	Started PipeWire PulseAudio.
10/02/2022 13:30	user@1000.service	SPA handle 'api.alsa.acp.device' could not be loaded; is it installed?
10/02/2022 13:30	user@1000.service	Failed to create 'api.alsa.acp.device' device
10/02/2022 13:30	bluetoothd	Player registered: sender=:1.81 path=/media_player0
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/ldac
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSink/aptx_hd
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx_hd
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSink/aptx
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aac
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSink/sbc
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/sbc
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSink/sbc_xq
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/sbc_xq
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx_ll_1
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx_ll_0
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx_ll_duplex_1
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/aptx_ll_duplex_0
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/faststream
10/02/2022 13:30	bluetoothd	Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource/faststream_duplex
10/02/2022 13:31	bluetoothd	profiles/audio/avdtp.c:avdtp_connect_cb() connect to AC:67:84:54:08:FB: Host is down (112)
10/02/2022 13:31	klauncher	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	kwalletd5	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_ical_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	kactivitymanagerd	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_maildir_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_birthdays_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_google_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_maildispatcher_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_migration_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_contacts_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	krunner	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_newmailnotifier_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_control	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_akonotes_resource	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	akonadi_indexing_agent	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	baloorunner	qt.qpa.wayland: Creating a fake screen in order for Qt not to crash
10/02/2022 13:31	kernel	ideapad_acpi VPC2004:00: Unknown event: 12
10/02/2022 13:31	systemd-logind	Lid closed.

The panels disappear if I boot with the monitor connected. If I wait and connect the monitor after boot, they appear as normal. Will check if this also happens on login
Comment 7 Erlend Ydse 2022-02-10 12:49:45 UTC
I can confirm that this only happens on Wayland, not X11. It happens on cold boot, restart and logout-login, though
Comment 8 Erlend Ydse 2022-02-10 12:56:05 UTC
Journal logs from restarting. I'm not sure if it is even relevant. This is all that happens before I start KSystemLog:

10/02/2022 13:52	kernel	audit: type=1131 audit(1644497537.862:97): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-localed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
10/02/2022 13:52	audit	BPF prog-id=0 op=UNLOAD
10/02/2022 13:52	audit	BPF prog-id=0 op=UNLOAD
10/02/2022 13:52	audit	BPF prog-id=0 op=UNLOAD
10/02/2022 13:52	kernel	audit: type=1334 audit(1644497537.992:98): prog-id=0 op=UNLOAD
10/02/2022 13:52	kernel	audit: type=1334 audit(1644497537.992:99): prog-id=0 op=UNLOAD
10/02/2022 13:52	kernel	audit: type=1334 audit(1644497537.992:100): prog-id=0 op=UNLOAD
10/02/2022 13:52	systemd	Starting EOS update notifier service...
10/02/2022 13:52	dbus-daemon	[session uid=1000 pid=763] Activating via systemd: service name='org.kde.krunner' unit='plasma-krunner.service' requested by ':1.6' (uid=1000 pid=774 comm="/usr/bin/kwin_wayland --wayland-fd 5 --socket wayl")
10/02/2022 13:52	systemd	Starting KRunner...
10/02/2022 13:52	dbus-daemon	[session uid=1000 pid=763] Successfully activated service 'org.kde.krunner'
10/02/2022 13:52	systemd	Started KRunner.
10/02/2022 13:52	krunner	QCommandLineParser: argument list cannot be empty, it should contain at least the executable name
10/02/2022 13:52	krunner	qt.qpa.wayland: Wayland does not support QWindow::requestActivate()
10/02/2022 13:52	dbus-daemon	[session uid=1000 pid=763] Activating via systemd: service name='org.kde.runners.baloo' unit='plasma-baloorunner.service' requested by ':1.50' (uid=1000 pid=2103 comm="/usr/bin/krunner ")
10/02/2022 13:52	systemd	Starting KRunner provider for baloo file indexer...
10/02/2022 13:52	dbus-daemon	[session uid=1000 pid=763] Successfully activated service 'org.kde.runners.baloo'
10/02/2022 13:52	systemd	Started KRunner provider for baloo file indexer.
Comment 9 Nate Graham 2022-02-10 18:47:45 UTC
If apps are crashing, it means actually that KWin is crashing. Can you use `coredumpctl gdb` to get a kwin_wayland backtrace? See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports#Retrieving_a_backtrace_using_coredumpctl
Comment 10 Erlend Ydse 2022-02-11 11:13:44 UTC
It seems that the corefile for kwin_wayland is missing:

~ coredumpctl        
TIME                          PID  UID  GID SIG     COREFILE EXE                              SIZE
Mon 2021-12-13 14:16:37 CET  2296 1000 1000 SIGSEGV missing  /usr/bin/systemsettings5          n/a
Mon 2021-12-13 14:18:06 CET 18029 1000 1000 SIGSEGV missing  /usr/bin/systemsettings5          n/a
Mon 2021-12-13 15:11:55 CET   692 1000 1000 SIGSEGV missing  /usr/bin/kwin_x11                 n/a
Sun 2021-12-26 14:15:43 CET 12603 1000 1000 SIGABRT missing  /usr/lib/virtualbox/VirtualBoxVM  n/a
Sun 2021-12-26 14:17:40 CET 12693 1000 1000 SIGABRT missing  /usr/lib/virtualbox/VirtualBoxVM  n/a
Wed 2021-12-29 16:50:14 CET 17297 1000 1000 SIGSEGV missing  /usr/bin/easyeffects              n/a
Wed 2021-12-29 23:19:45 CET   759 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Thu 2021-12-30 17:28:43 CET   720 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Thu 2021-12-30 17:40:37 CET  4993 1000 1000 SIGSEGV missing  /usr/bin/configure-printer        n/a
Thu 2021-12-30 17:56:54 CET 29494 1000 1000 SIGABRT none     /usr/lib/kf5/kdesud               n/a
Thu 2021-12-30 22:17:14 CET   741 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Fri 2021-12-31 13:17:13 CET   743 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Fri 2021-12-31 17:39:23 CET   720 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Mon 2022-01-03 23:57:10 CET   748 1000 1000 SIGABRT missing  /usr/bin/kwin_wayland             n/a
Wed 2022-01-05 17:45:44 CET  1329 1000 1000 SIGABRT missing  /usr/bin/kalendarac               n/a
Tue 2022-01-11 13:21:14 CET   862 1000 1000 SIGSEGV missing  /usr/bin/plasmashell              n/a
Thu 2022-01-13 16:00:38 CET   870 1000 1000 SIGSEGV missing  /usr/bin/plasmashell              n/a
Wed 2022-01-26 15:17:42 CET  1563 1000 1000 SIGABRT missing  /usr/bin/kalendarac               n/a
Thu 2022-02-10 13:47:03 CET  4654 1000 1000 SIGABRT none     /usr/lib/kf5/kdesud               n/a
Thu 2022-02-10 13:47:06 CET  3824 1000 1000 SIGSEGV present  /usr/bin/akonadiserver           1.1M

In case it helps, here is the output from akonadiserver:

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/usr/bin/akonadiserver'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x000055c3b68686a3 in ?? ()
[Current thread is 1 (Thread 0x7f2607fb2cc0 (LWP 3824))]
(gdb) bt
#0  0x000055c3b68686a3 in ?? ()
#1  0x00007f260c712e76 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#2  0x00007f260c6ef14e in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#3  0x00007f260c6efc69 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#4  0x00007f260c736548 in ?? () from /usr/lib/libQt5Core.so.5
#5  0x00007f260aa5df13 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#6  0x00007f260aab40d9 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x00007f260aa5b485 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#8  0x00007f260c73a44a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#9  0x00007f260c6e744b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#10 0x00007f260c6f2b97 in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#11 0x000055c3b685dcc5 in ?? ()
#12 0x00007f260c08db25 in __libc_start_main () from /usr/lib/libc.so.6
#13 0x000055c3b6860bee in ?? ()
Comment 11 Erlend Ydse 2022-02-11 11:19:08 UTC
With debugging symbols:
Core was generated by `/usr/bin/akonadiserver'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  std::default_delete<Akonadi::Server::Connection>::operator() (__ptr=0x91, this=<optimized out>) at /usr/include/c++/11.1.0/bits/unique_ptr.h:79
79            operator()(_Tp* __ptr) const
[Current thread is 1 (Thread 0x7f2607fb2cc0 (LWP 3824))]
(gdb) bt
#0  std::default_delete<Akonadi::Server::Connection>::operator() (__ptr=0x91, this=<optimized out>) at /usr/include/c++/11.1.0/bits/unique_ptr.h:79
#1  std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> >::~unique_ptr (this=<optimized out>, this=<optimized out>) at /usr/include/c++/11.1.0/bits/unique_ptr.h:361
#2  __gnu_cxx::new_allocator<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > >::destroy<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > > (__p=<optimized out>, this=<optimized out>)
    at /usr/include/c++/11.1.0/ext/new_allocator.h:162
#3  std::allocator_traits<std::allocator<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > > >::destroy<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > > (__p=<optimized out>, __a=...)
    at /usr/include/c++/11.1.0/bits/alloc_traits.h:531
#4  std::vector<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> >, std::allocator<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > > >::_M_erase (Python Exception <class 'gdb.error'>: Request for member '_M_head_impl' is ambiguous in type 'std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> >'. Candidates are:
  'std::default_delete<Akonadi::Server::Connection> std::_Head_base<1, std::default_delete<Akonadi::Server::Connection>, true>::_M_head_impl' (std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<0, Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<1, std::default_delete<Akonadi::Server::Connection> > -> std::_Head_base<1, std::default_delete<Akonadi::Server::Connection>, true>)
  '<unnamed type> std::_Head_base<0, Akonadi::Server::Connection*, false>::_M_head_impl' (std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<0, Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Head_base<0, Akonadi::Server::Connection*, false>)
__position=
        {_M_t = {<std::__uniq_ptr_impl<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> >> = {_M_t = std::tuple containing = {[1] = 0x55c3b7811d70, [2] = {<No data fields>}}}, <No data fields>}}, this=<optimized out>)
    at /usr/include/c++/11.1.0/bits/vector.tcc:177
#5  std::vector<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> >, std::allocator<std::unique_ptr<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> > > >::erase (Python Exception <class 'gdb.error'>: Request for member '_M_head_impl' is ambiguous in type 'std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> >'. Candidates are:
  'std::default_delete<Akonadi::Server::Connection> std::_Head_base<1, std::default_delete<Akonadi::Server::Connection>, true>::_M_head_impl' (std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<0, Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<1, std::default_delete<Akonadi::Server::Connection> > -> std::_Head_base<1, std::default_delete<Akonadi::Server::Connection>, true>)
  '<unnamed type> std::_Head_base<0, Akonadi::Server::Connection*, false>::_M_head_impl' (std::tuple<Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Tuple_impl<0, Akonadi::Server::Connection*, std::default_delete<Akonadi::Server::Connection> > -> std::_Head_base<0, Akonadi::Server::Connection*, false>)
__position=
        {_M_t = {<std::__uniq_ptr_impl<Akonadi::Server::Connection, std::default_delete<Akonadi::Server::Connection> >> = {_M_t = std::tuple containing = {[1] = 0x55c3b7811d70, [2] = {<No data fields>}}}, <No data fields>}}, this=<optimized out>)
    at /usr/include/c++/11.1.0/bits/stl_vector.h:1431
#6  Akonadi::Server::AkonadiServer::connectionDisconnected (this=<optimized out>) at /usr/src/debug/akonadi-21.12.2/src/server/akonadi.cpp:234
#7  0x00007f260c712e76 in QObject::event (this=<optimized out>, e=0x7f25d003aa50) at kernel/qobject.cpp:1314
#8  0x00007f260c6ef14e in doNotify (event=0x7f25d003aa50, receiver=0x7ffe145860c0) at kernel/qcoreapplication.cpp:1154
#9  QCoreApplication::notify (event=<optimized out>, receiver=<optimized out>, this=<optimized out>) at kernel/qcoreapplication.cpp:1140
#10 QCoreApplication::notifyInternal2 (receiver=0x7ffe145860c0, event=0x7f25d003aa50) at kernel/qcoreapplication.cpp:1064
#11 0x00007f260c6efc69 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x55c3b775f1c0) at kernel/qcoreapplication.cpp:1821
#12 0x00007f260c736548 in postEventSourceDispatch (s=0x55c3b7764350) at kernel/qeventdispatcher_glib.cpp:277
#13 0x00007f260aa5df13 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#14 0x00007f260aab40d9 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007f260aa5b485 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0x00007f260c73a44a in QEventDispatcherGlib::processEvents (this=0x55c3b77617e0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#17 0x00007f260c6e744b in QEventLoop::exec (this=0x7ffe14585f10, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#18 0x00007f260c6f2b97 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#19 0x000055c3b685dcc5 in AkApplicationBase::exec (this=0x7ffe14586090) at /usr/src/debug/akonadi-21.12.2/src/shared/akapplication.cpp:107
#20 main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/akonadi-21.12.2/src/server/main.cpp:65
Comment 12 Nate Graham 2022-02-11 16:01:48 UTC
Akonadi won't be relevant; we need a backtrace of kwin_wayland. I don't know why it would be "missing", but what happens if you run `coredumpctl gdb 759` and then `bt`?
Comment 13 Erlend Ydse 2022-02-14 12:06:33 UTC
If you look at the date, kwin_wayland has not crashed since the start of January. The output of coredumpctl gdb 748 is
File "/var/lib/systemd/coredump/core.kwin_wayland.1000.a7b48ceb67ff410bbc72b2f12ccf2380.748.1641250629000000.zst" is not readable: No such file or directory

So I suspect that a crash is not the reason for the bug
Comment 14 Nate Graham 2022-02-14 19:19:39 UTC
If you're on Wayland and all apps crashed, then that means kwin_wayland crashed; no doubt about it. Maybe you can reproduce the issue and get a new backtrace? Assuming the same thing still happens now, of course.

As for the panel disappearing issue, that was fixed in Plasma 5.24.
Comment 15 Erlend Ydse 2022-02-16 12:34:37 UTC
Still happens as of today on Plasma 5.24. Nothing in coredumpctl. No notable logs
Conditions: Laptop is plugged into monitor on boot. Screens are configured to disable laptop screen when monitor is plugged in.
Notable events: On successful login, the splash screen is present for longer than if the monitor is not plugged in. I suspect a timeout triggers, and then the desktop is shown with either a black wallpaper or the chosen wallpaper. No panels are visible, and adding panels makes no difference. In some cases the desktop does not display a menu on right click. Firefox is autostarted. Krunner and System Settings work via shortcuts, and it is still possible to interact with bluetooth, networks and audio via System Settings
Comment 16 Erlend Ydse 2022-02-16 12:38:50 UTC
Updated to Plasma 5.24.1 and rebooted. Same result with black/no wallpaper
Comment 17 Strahinja Kustudic 2022-02-17 08:54:10 UTC
I just installed Plasma 5.24.1, loged in with a Wayland session and I don't have the issue any more. I just tried connecting and disconnecting the dock and all looks great. I'll be using Wayland from now on and will report back if this issue returns.
Comment 18 Erlend Ydse 2022-02-17 09:04:55 UTC
Strahinja, can you please try these steps and see if it still does not happen?

1. In System Settings > Display Configuration, change to "for only this display configuration" and disable the main screen, leave the external monitor enabled.
2. Turn off the laptop, keep the monitor connected.
3. Boot and log in with the monitor still plugged in.
4. Look for long login time and disappearing panels.
Comment 19 Bug Janitor Service 2022-03-04 04:35:45 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 20 Bug Janitor Service 2022-03-19 04:35:08 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!